Bug 4941 - Bug in /usr/sbin/setup
Summary: Bug in /usr/sbin/setup
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup   
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-06 19:57 UTC by prrar
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-07 13:59:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description prrar 1999-09-06 19:57:56 UTC
BUG IN SETUP

It was tested under Red Hat release 5.2 (Apollo) and under
Linux Guarani 3.0.

1) Run 'setup'.
2) At the main menu, press 'Page Down'.
   The cursor will be under the 'Xconfigurator' option and
above 'Run'.
3) Now, just press 'Enter'.
   The 'setup' program will exit, reporting this error
message:

error in setup, please send this report to bugs@redhat.com:
Traceback (innermost last):
  File "/usr/sbin/setup", line 29, in ?
    m.run()
  File "/usr/lib/rhs/setup/setup.py", line 112, in run
    self.run_command(toolbox.current())
  File "/usr/lib/python1.5/snack.py", line 69, in current
    return self.key2item[self.w.listboxGetCurrent()]
KeyError: 0

_____________________________________
Paulo Ribeiro   <paulo@linuxdev.net>
                <prrar@nitnet.com.br>

Comment 1 Bill Nottingham 1999-09-07 13:59:59 UTC
This should be fixed in the setup in 6.0+.


Note You need to log in before you can comment on or make changes to this bug.